Package org.silverpeas.components.scheduleevent.view

## Class HalfDayTime

- java.lang.Object
- - org.silverpeas.components.scheduleevent.view.AbstractTimeVO
  - - org.silverpeas.components.scheduleevent.view.HalfDayTime

- All Implemented Interfaces:
    `TimeVO`

      public class HalfDayTime
      extends AbstractTimeVO

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HalfDayTime​(DateVO parent, DateOption date)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAvailability​(ContributorVO contributor, AvailableVO availability)` |
    `void` | `addContributorAvailibility​(ContributorVO contributor, AvailableVO availability)` |
    `boolean` | `equals​(Object o)` |
    `Map<ContributorVO,​AvailableVO>` | `getAvailabilities()` |
    `DateVO` | `getDate()` |
    `String` | `getHtmlClassAttribute()` |
    `String` | `getId()` |
    `AnswerVO` | `getPresents()` |
    `AvailabilityVisitorPresenceCounter` | `getPresentsCount()` |
    `int` | `hashCode()` |
    `Set<Response>` | `match​(Set<Response> responses)` |

    - ### Methods inherited from class org.silverpeas.components.scheduleevent.view.AbstractTimeVO

      `getMultilangLabel, getPartOfDay, setPartOfDay`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HalfDayTime

          public HalfDayTime​(DateVO parent,
                             DateOption date)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getHtmlClassAttribute

          public String getHtmlClassAttribute()

    - #### getAvailabilities

          public Map<ContributorVO,​AvailableVO> getAvailabilities()

    - #### addContributorAvailibility

          public void addContributorAvailibility​(ContributorVO contributor,
                                                 AvailableVO availability)

    - #### match

          public Set<Response> match​(Set<Response> responses)

    - #### addAvailability

          public void addAvailability​(ContributorVO contributor,
                                      AvailableVO availability)

    - #### getPresents

          public AnswerVO getPresents()

    - #### getPresentsCount

          public AvailabilityVisitorPresenceCounter getPresentsCount()

    - #### getDate

          public DateVO getDate()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `AbstractTimeVO`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractTimeVO`